aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorajs <palebluedot@gmail.com>2018-07-03 09:23:49 +0800
committerajs <palebluedot@gmail.com>2018-07-03 09:23:49 +0800
commit260e044db5caee31b9337473673d21703b70e7fb (patch)
treef12a16e141a16aa87c51caad57f3261e1ee52cc0 /scripts
parent4649f9202a93f7573d7fb425fbcbdd50e6d4407c (diff)
downloaddexon-solidity-260e044db5caee31b9337473673d21703b70e7fb.tar
dexon-solidity-260e044db5caee31b9337473673d21703b70e7fb.tar.gz
dexon-solidity-260e044db5caee31b9337473673d21703b70e7fb.tar.bz2
dexon-solidity-260e044db5caee31b9337473673d21703b70e7fb.tar.lz
dexon-solidity-260e044db5caee31b9337473673d21703b70e7fb.tar.xz
dexon-solidity-260e044db5caee31b9337473673d21703b70e7fb.tar.zst
dexon-solidity-260e044db5caee31b9337473673d21703b70e7fb.zip
Avoid hanging in tests.sh when IPC program is not found
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/tests.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/tests.sh b/scripts/tests.sh
index ffb5e7ef..7fb260bc 100755
--- a/scripts/tests.sh
+++ b/scripts/tests.sh
@@ -109,9 +109,18 @@ function run_eth()
sleep 2
}
+function check_eth() {
+ printTask "Running IPC tests with $ETH_PATH..."
+ if ! hash $ETH_PATH 2>/dev/null; then
+ printError "$ETH_PATH not found"
+ exit 1
+ fi
+}
+
if [ "$IPC_ENABLED" = true ];
then
download_eth
+ check_eth
ETH_PID=$(run_eth /tmp/test)
fi